## kernel-package 7.04.potato.3

=== debian/changelog ===
kernel-package (7.04.potato.3) frozen; urgency=low
  * Cleaned up the postinst some more; make sure that we always know which
    directory we are in.
  * Use absolute paths for the kernel image files real location, os we can
    manipulate stuff independent of the current working directory. Either
    one of these would fix the problem that Igor Mozetic
    <igor.mozetic@uni-mb.si> has reported.
  * Fixed the rules file to corect the misapplied patch for pmac. This
    fixes a grave bug. closes: Bug#63559

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 20 May 2000 16:00:25 -0500

kernel-package (7.04.potato.2) frozen; urgency=low

  * Fix the README to talk about no_symlinks, and not no_symlink. This
    closes: Bug#63606
  * Added a check in the makefloppy routine to make sure the image we are
    trying to write exists. This fixes Bug 63558
  * Capture the stderr too when testing the bootloaders. This closes: Bug#63599
  * Fixed PPC setup to handle new powermacs. This was a (grave) RC bug. 
    closes: Bug#63559
  * Added checks and guards to ensue that 63558 would be caught and more
    information provided. Insufficient data as yet to figure out what is
    causing it. 

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  7 May 2000 12:07:11 -0500

kernel-package (7.04.potato.1) frozen; urgency=low

  * Back ported some woody fixes to potato. Namely:
  * Make the source package suggest task-tcltk-dev, rather than tk-dev,
    since the latter is no longer provided by modern packages (apparently
    it was not meant to be a publically used virtual package)
  * Make sure we ignore leading and trailing spaces in the value of the
    HOSTCC and CC env variables. 
  * Changed the default version number from 1.00. to Custom.1.00
  
 -- Manoj Srivastava <srivasta@debian.org>  Sun, 30 Apr 2000 16:38:33 -0500

kernel-package (7.04) frozen unstable; urgency=low

  * Make sure that version specific kernel-patch subdirectories are
    supported for the all directory as well (they were supported for arch
    specific patches already). closes: Bug#61915
  * Fixed misplaced backslash (it was one char off)  - bad if a patch
    changes the location the kernel will search for its modules!  This is
    RC for powerpc kernel images. closes: Bug#62015

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  9 Apr 2000 13:05:07 -0500

kernel-package (7.03) frozen unstable; urgency=low

  * Aaargh. A single space got inserted into thepostinst after my
    testing. I was just adding comments, I swear. I'll not add anything
    after the test, I promise. "$_/$loader_exec " => "$_/$loader_exec".  
    This fixes an important bug, which caused lilo not to be run on
    installing the kernel image. closes: Bug#61646

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  3 Apr 2000 11:16:06 -0500

kernel-package (7.02) frozen unstable; urgency=low

  * Added a dependency on fileutiles >=4.0, since the package would fail
    to install with older fileutils. This prevents a failure to install
    when upgrading from slink. 
  * Added a simple check on upppercase chars in the version
    string. closes: Bug#61213
  * Made the dependency in kernel-source packagesbe for libncurses-dev |
    ncurses-dev, since the latter is being phased out. This is an
    important fix.
  * The changes added in 7.00 are required to be in potato. The changes
    were: Allow the official kernel-* package maintainer some leeway in
    providing official control files (just like they can provide their own
    changelog files now).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 30 Mar 2000 10:19:28 -0600

kernel-package (7.01) unstable; urgency=low

  * Added more documentation to the install time configuration file
    kernel-img.conf.5. Modified the image postinst to be more lax in
    parsing configuration options

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 21 Mar 2000 10:37:46 -0600

kernel-package (7.00) unstable; urgency=low

  * Allow the official kernel-* package maintainer some leeway in
    providing official control files (just like they can provide their own
    changelog files now).
  * On user request, do not fail to make symbolic links in / merely
    because the system does not ahve the default bootloader installed --
    people are using alternative boot loaders out there. Instead there is
    a config file that can provide the answer -- oif the config file does
    not exists, the postinst asks the user, and creates the config file. 
    closes: Bug#60693
  
 -- Manoj Srivastava <srivasta@debian.org>  Tue, 21 Mar 2000 00:43:09 -0600

kernel-package (6.42) unstable; urgency=low

  * Fixed suggests line to accept either libncurses-dev or
    ncurses-dev. The latter is obsolete, and present for backwards
    compatibility. closes: Bug#57077

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 15 Mar 2000 09:14:00 -0600

kernel-package (6.41) unstable; urgency=low

  * Added the version number of the kernel to both the short and the long
    description, to help people decide what packages are installed and
    which new ones they may wish to install. 
  * Make sure one uses absolute symlinks where required, when creating
    /usr/doc symlinks
  * Do not make symlinks in / if the boot loader is not in the path. 
    closes: Bug#60413

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 15 Mar 2000 01:00:02 -0600

kernel-package (6.40) frozen unstable; urgency=low

  * Path up modules_install in the kernel_image target to include some new
    module categories in 2.3.XX kernels. In order that this does not, in
    the futire, inconvenience people, use the kernel Makefile to install
    modules when we can. The cases we can't use the kernel makefile is for
    2.0.XX and older kernels (since the prefix to modlib was not present
    then). closes: Bug#59516
  * Fixed some typos. closes: Bug#59528

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  3 Mar 2000 09:55:47 -0600

kernel-package (6.39) frozen unstable; urgency=low


