=== debian/control ===
Source: kernel-package
Priority: optional
Section: misc
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 3.0.1.0

Package: kernel-package
Description: Debian Linux kernel package build scripts.
 This package provides the capability to create a debian 
 kernel-image package by just running make-kpkg kernel_image in a
 kernel source directory tree.  It can also build the kernel source
 package as a debian file, the kernel headers package. In general, this 
 package is very useful if you need to create a custom kernel, if, for 
 example, the default kernel does not support some of your hardware, or
 you wish a leaner, meaner kernel.
 .
 If you are running on an intel x86 platform, and you wish to compile a
 custom kernel (why else are you considering this package?), then you may
 need the package bin86 as well.  (This is not required on other platforms).
Depends: perl5, dpkg (>= 1.4), dpkg-dev (>= 1.4.0.9), fileutils (>= 4.0)
Recommends: libc-dev, gcc, debianutils, make
Suggests: kernel-source
Architecture: all
