## kernel-package 7.107

=== debian/changelog ===
kernel-package (7.107) unstable; urgency=low

  *  marks debian as phony and removes it from stamp-* dependencies where
    stamp-debian is used instead. Thanks to Herbert Xu for the patch.
                                                             closes: Bug#142773

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 14 Apr 2002 11:52:46 -0500

kernel-package (7.106) unstable; urgency=medium

  * Only move initrd symlinks when we move image symlinks.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 12 Apr 2002 21:11:28 -0500

kernel-package (7.105) unstable; urgency=medium

  * Fixed various typos in the kernel-doc package descriptions. 
                                                             closes: Bug#140709
  * Changed the bash complewtions function name.             closes: Bug#142492
  * Fixed a last check to aid cross compilation              closes: Bug#142044
  * Fixed a bunch of typos in diagnostics.                   closes: Bug#142234
  * Really remove dangling symlinks on purge.                closes: Bug#141483
  * Only move image symlinks around if we are not being upgraded. Thaks to
    Herbert Xu for suggesting this.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 12 Apr 2002 15:02:14 -0500

kernel-package (7.104) unstable; urgency=low

  * Fix the rules file to short circuit a twisty set of confusing
    dependencies for configuration related targets.  The bug it closes
    used an non-standard build method (--rootcmd fakeroot is how I do it),
    but it used to work before, and it should do so again. Hopefully
    nothing else broke.                                      closes: Bug#140455

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 29 Mar 2002 09:59:40 -0600

kernel-package (7.103) unstable; urgency=low

  * Added the potential value AUTO for PATCH_THE_KERNEL, which is useful
    when you want the patches applied whenever you set
    --applied-patches. One would not want to set the variable to YES,
    since that would apply all patches willy nilly when you did not use
    the --applied-pacthes option.                            closes: Bug#140047

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 26 Mar 2002 21:23:49 -0600

kernel-package (7.102) unstable; urgency=low

  * revert the last change, since rebuilding the kernel-image may well be
    too onerous. Also, this may not actually fix 39276. closes: Bug#139606
    BTW, I don't think this was important, this is merely a normal bug. 

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 23 Mar 2002 11:30:38 -0600

kernel-package (7.101) unstable; urgency=low

  * It is supposed to be $(filter-out), not $(filler-out).   closes: Bug#139272
  * Hmm. Make the modules tarhet depend on stamp-image, so make knows not
    to try and build the modules packages is the kernel-image build
    fails. It does mean though that you need a stamp-image file in the
    diretory in order to build the modules -- not a biggie since building
    modules fails anyway                                     closes: Bug#139276
  
 -- Manoj Srivastava <srivasta@debian.org>  Thu, 21 Mar 2002 09:52:23 -0600

kernel-package (7.100) unstable; urgency=low

  * Hmm. There was a bug report that said kernel-package does not call
    make correctly when concurrency is set; however, this happens to be a
    mischaracterization. The top level make call a recursive make: $(MAKE)
    -j2; the level 2 make then calls another sub make, and the level 3
    make spits out the error that it is running with -j1, as documneted. I
    have cleaned up soe of the rules involved to get greater transparency
    in the phenomena. Also, remove benign warning about not finding the
    MODULES_LOC dir.                                         closes: Bug#139132
  * Make the bash completions file go in the right place.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 19 Mar 2002 23:11:59 -0600

kernel-package (7.99) unstable; urgency=high

  * The last fix broke kernel-package.                       closes: Bug#138684

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 16 Mar 2002 23:25:26 -0600

kernel-package (7.98) unstable; urgency=low

  * Changed a potentially confusing postinst message.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 16 Mar 2002 11:19:02 -0600

kernel-package (7.97) unstable; urgency=low

  * Don't issue a boot block warning if we are not installing a boot
    loader.                                                  closes: Bug#138534
  * Thanks to "Dr. Rafael Sepulveda" <drs@gnulinux.org.mx>, we havce a
    bash completions file for make-kpkg.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 16 Mar 2002 01:38:48 -0600

kernel-package (7.96) unstable; urgency=low

  * Support labels in /etc/fstab. closes: Bug#121127, Bug#136949

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  5 Mar 2002 14:53:47 -0600

kernel-package (7.95) unstable; urgency=low

  * Added an undocumented feature: if ./debian/post-install exists, it
    shall be executed during the image build process. This allows people
    (well, this is designed for kernel-image maintainers) to hack the
    package before dpkg-* are called.                        closes: Bug#136735
  * Fixed missed up $(DEB_BUILD_ARCH) -> $(DEB_HOST_ARCH)    closes" Bug#136738

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  4 Mar 2002 16:42:12 -0600

kernel-package (7.94) unstable; urgency=low

  * bumped the default version.                              closes: Bug#136432

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  3 Mar 2002 12:09:00 -0600

kernel-package (7.93) unstable; urgency=low

  * Kernel-package currently has no proper bootloader handling for
    mipsel. This patch, provided by (a modification by the origina;l
    written by Guido Guenther <agx@debian.org>) Karsten Merker
    <karsten@excalibur.cologne.de>, adds this capability.    closes: Bug#136331

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  1 Mar 2002 11:56:50 -0600

kernel-package (7.92) unstable; urgency=low


