=== debian/changelog ===
kernel-package (8.083) unstable; urgency=low

  * Bug fix: "kernel-source-2.4.25: Configure error prevents
    installation", thanks to Bruce Miller. Do not try to change the
    include/asm symlinks for source and doc packages, since we do not own
    that dir. Only the headers package ought to be doing that.
                                                         (Closes: #235706).
  * Bug fix: "kernel-package: silent_modules should be YES on powerpc even
    on first install of official images.", thanks to Sven
    Luther. Accomodate the official powerpc kernel images to not prompt
    even on initial install when /lib/modules/$version/ already
    exists. This allows the separation of the modules from the kernel
    image, since different powerpc subarches all require different images,
    but can  share the modules.                           (Closes: #230251).
  * Bug fix: "kernel-package: avoid silent failure when out of space",
    thanks to dann frazier. I skiimed the rules file for other examples of
    this ilk, but I think a real clean up would have to wait until we break
    up the Makefile post Sarge.                           (Closes: #234316).
  * Bug fix: "kernel-package: should include the changelog from
    kernel-source-xx", thanks to Christoph Martin. Hmm. Create a file
    called Changelog.src.Debian in hte top of the tarball that we create
    for kernel-source-X.XX packages. Subsequently, when creating image
    packages, if that file exists, copy it into the doc dir for the
    kernel-image packages, and compress it.                (Closes: #234908).
  * Updated spanish man pages.
  * Bug fix: "kernel-package: Typo in documentation intrd",
    thanks to Andreas Metzler                              (Closes: #235421).

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  2 Mar 2004 23:14:27 -0600

kernel-package (8.082) unstable; urgency=low

  * Bug fix: "Add amd64 support to kernel-package", thanks to Stephen
    Frost                                               (Closes: #233252).
  * Bug fix: "kernel-image: postrm doesnt remove dangling initrd.img
    symlink", thanks to Mario 'BitKoenig' Holbe         (Closes: #233243).
  * Add a note in the man page that the clean target should not be cobined
    with other targets. 
  * Bug fix: "/usr/bin/make-kpkg:make-kpkg --rootcmd=fakeroot clean
    kernel_image after patching sources doesn't work", thanks to
    Amit Shah. Since this is now documented, I am closing this report.
                                                          (Closes: #233478).
  * Bug fix: "kernel-package: Grub install scripts broken", thanks to
    Roland Mas                                            (Closes: #233585).
  * Make the sample posthook script executable, to shut up lintian
  * Bug fix: "confusing comments in kernel-img.conf", thanks to Jamie
    Heilman                                               (Closes: #233184).
  * Bug fix: "misspellings", thanks to Matt Kraai         (Closes: #233132).
  * Bug fix: "kernel-package: --append-to-version and modules_image don't
    get along", thanks to Daniel Jacobowitz. Starting with kernel version
    2.6.X, the build process for third party modules has been modified;
    now modules are expected to build in hte kenrel sources dir, and you
    set the SUBDIR arg to point to the source for the module itself. This
    arranges for the kernel makefiles to do all the boilerplate work of
    building/running modpost, dependencies, et cetera. The problem is that
    unless the module passes in the same  EXTRAVERSION=XYZ argument that
    the main kernel build process did,  include/linux/version.h shall be
    regenerated, with a different value  now than when the kernel was
    compiled. The only way to avoid this is to make sure the module passes
    EXTRAVERSION also; the 2.6 kernel makefile is very enthusiastic about
    making sure version.h is up to  date. So, make-kpkg now passes a new
    parameter, KPKG_EXTRAV_ARG, to the module; the value is either empty,
    or a string like "EXTRAVERSION=X.Y.Z". The idea is that you can call
    $(MAKE) $(KPKG_EXTRAV_ARG) ... in the modules package and have the
    same version.h info as the main kernel image does.  (Closes: #233152).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 18 Feb 2004 18:12:45 -0600

kernel-package (8.081) unstable; urgency=low

  * Fixed top level makefile to make it usable stand alone
  * Bug fix: "/usr/bin/make-kpkg: Minor warning message", thanks to Andrew
    Ferrier                                               (Closes: #231902).
  * Bug fix: "kernel-package: make-kpkg spanish manpage updated", thanks
    to Ruben Porras                                       (Closes: #232007).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 16 Feb 2004 18:47:09 -0600

kernel-package (8.080) unstable; urgency=low

  * Bug fix: "debian.README.gz out of date", thanks to Thomas Hood. Now
    mention linux-kerel-headers under the new method section.
                                                        (Closes: #230083).
  * Bug fix: "kernel-package: several typos", thanks to Jochen Voss
                                                        (Closes: #227191).
  * Bug fix: "kernel-package: make-kpkg spanish manpage updated", thanks
    to Ruben Porras                                     (Closes: #227898).
  * Bug fix: "kernel-package: silent_modules should be YES on powerpc even
    on first install of official images.", thanks to Sven Luther
                                                        (Closes: #230251).
  * Bug fix: "manpage: hint how to select the compiler used", thanks to
    Jens Thiele \(karme\)                               (Closes: #230272).
  * Bug fix: "kernel-package: trivial change for sparc", thanks to Ben
    Collins.                                            (Closes: #230288).
  * Bug fix: "kernel-package: Typo in kernel-pkg.conf: "espescially"

