=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Priority: optional
 Section: misc
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 3.5.5.0
+Standards-Version: 3.6.1.0
 
 Package: kernel-package
-Description: Debian Linux kernel package build scripts.
+Description: A utility for building Linux kernel related Debian packages.
  This package provides the capability to create a debian kernel-image
  package by just running make-kpkg kernel_image in a kernel source
  directory tree.  It can also package the relevant kernel headers into
@@ -21,7 +21,7 @@
  If you are running on an intel x86 platform, and you wish to compile a
  custom kernel (why else are you considering this package?), then you may
  need the package bin86 as well.  (This is not required on other platforms).
-Depends: perl5, dpkg (>= 1.4), dpkg-dev (>= 1.4.0.9), fileutils (>= 4.0)
-Recommends: libc-dev, gcc, debianutils, make
-Suggests: kernel-source, libdb3-dev, libncurses-dev
+Depends: perl, dpkg (>= 1.4), dpkg-dev (>= 1.4.0.9), gcc | c-compiler, make
+Recommends: libc-dev
+Suggests: kernel-source, libdb3-dev, libncurses-dev, docbook-utils
 Architecture: all
