## kernel-package 8.091.0ubuntu4

=== debian/changelog ===
kernel-package (8.091.0ubuntu4) warty; urgency=low

  * [kernel/image.postinst] When generating a new initrd, create it in a
    temporary file and then move it into place only if mkinitrd succeeds
  * [kernel/image.postinst] Remove scary depmod warning

 -- Matt Zimmerman <mdz@canonical.com>  Wed, 29 Sep 2004 18:41:31 -0700

kernel-package (8.091.0ubuntu3) warty; urgency=low

  * Fixed stem in README.source.

 -- Herbert Xu <herbert@gondor.apana.org.au>  Sat, 25 Sep 2004 19:39:23 +1000

kernel-package (8.091.0ubuntu2) warty; urgency=low

  * Guess pmac subarch on powerpc if "Mac" is in the machine line of
    /proc/cpuinfo (as well as "Power" or "iMac").

 -- Colin Watson <cjwatson@canonical.com>  Mon,  6 Sep 2004 20:36:01 +0100

kernel-package (8.091.0ubuntu1) warty; urgency=low

  * Added alternative package stem (linux-*) support.

 -- Herbert Xu <herbert@gondor.apana.org.au>  Sat, 21 Aug 2004 14:32:08 +1000

kernel-package (8.091) unstable; urgency=low

  * Bug fix: "kernel-package: comment typo", thanks to dann frazier
                                                      (Closes: #252016).
  * Bug fix: "kernel-package: revision seems to be ignored when set in
    /etc/kernel-pkg.conf", thanks to Greg Norris      (Closes: #254488).
  * Bug fix: "kernel-package: Behaviour does not seem to follow
    documentation on some points", thanks to Adam C. Emerson
                                                      (Closes: #251548).
  * Bug fix: "Typo in real_stamp_source target prevents README.Debian
    installation", thanks to Jens Schmalzing          (Closes: #255372).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 22 Jun 2004 01:53:07 -0500

kernel-package (8.090) unstable; urgency=low

  * Bug fix: "kernel-package: Including 2.6's Kconfig files in kernel_doc
    packages", thanks to Andreas Metzler                 (Closes: #245800).
  * kernel-source-2.4.26_2.4.26-2(unstable): FTBFS: syntax error. Removed
    spurious close paren.                                (Closes: #247600).
  * Bug fix: "kernel-package: Improper test for non-modules targets when
    checking build dir", thanks to Kevin McCarty          (Closes: #247540).

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  6 May 2004 18:46:05 -0500

kernel-package (8.089) unstable; urgency=low

  * make kernel-package not stop if the revision contains a hypen unless
    the said revision fails to meet policy. 
  * Bug fix: "kernel-package: Including 2.6's Kconfig files in kernel_doc
    packages", thanks to Andreas Metzler. I modified the patch, and only
    trigger the Kconfig collection for post 2.5 kernels. (Closes: #245800).
  * Bug fix: "/usr/bin/make-kpkg: make-kpkg: Typo in failure message",
    thanks to Goswin Brederlow                           (Closes: #245482).
  * Fixed a few over zealous escapes of hyphens in the make-kpkg man page.
  * Bug fix: "Support for bare vmlinux", thanks to Nicolas George. Use the
    configuration option install_vmlinux to additionally install the bare
    vmlinux image as well as the default image          (Closes: #243927).


 -- Manoj Srivastava <srivasta@debian.org>  Mon, 26 Apr 2004 15:32:11 -0500

kernel-package (8.088) unstable; urgency=low

  * Bug fix: "New kernel-package fails to build kernel", thanks to Roberto
    Sanchez. Oh, sheez: forgot to escape a $ from make in a shell command.
                                                           (Closes: #245010).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Apr 2004 20:47:00 -0500

kernel-package (8.087) unstable; urgency=low

  * Bug fix: "Bug#244380: kernel-package: Unescaped dashes in manpage
    break copy and paste", thanks to Andreas Metzler Also fixed the
    spanish man pages, since this is merely about behaviour of man
                                                     (Closes: #244380).
  * Bug fix: "kernel-package: ignore_depmod_error is ignore_depmod_err",
    thanks to Marc Haber                              (Closes: #243526).
  * Bug fix: "kernel-package: UTS Release version does not match current
    version", thanks to YuLei                          (Closes: #243896).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 19 Apr 2004 17:35:30 -0500

kernel-package (8.086) unstable; urgency=low

  * Bug fix: "kernel-package: &gt;=2.6.5 make clean removes version.h,
    modules_image fails", thanks to Ralf Neubauer. At this point, the
    automated cleaning of the build tree causes more problems than it
    solves -- at the very least, it violates the principle of least
    surprise. The do_cloean mechanism still exists for people who want to
    have the sources cleaned, but from now on, the default is not to clean
    the sources out.                                     (Closes: #242038). 

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  6 Apr 2004 11:40:11 -0500

kernel-package (8.085) unstable; urgency=low

  * Fixed missing ;'s. Thanks to Radek Hnilica <Radek@hnilica.cz> and J G
    Miller <miller@yoyo.org> for noticing this.

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  3 Apr 2004 10:44:00 -0600

kernel-package (8.084) unstable; urgency=low

  * Warn if module doesn't like the fact that it isn't being build as root
    and it is ignoring the --roocmd extension, and ask users to file a
    bug. 
  * Delete dangling build links when asked to, even if there is no
    replacement handy.
  * Bug fix: "kernel-package: Typo in Problems.gz", thanks to LT-P
                                                          (Closes: #238983).
  * Bug fix: "changelog should be called changelog.Debian", thanks to
    Martin Michlmayr                                      (Closes: #238425).
  * Bug fix: "kernel-package - don't recognize s390x", thanks to Bastian
    Blank                                                 (Closes: #232711).
  * Updated spanish manual pages.

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  2 Apr 2004 00:12:20 -0600
